Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api
Class MuleRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.mule.api.MuleRuntimeException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ComponentNotFoundRuntimeException, DeploymentException, ExpressionRuntimeException, InvalidPublicKeyException

    public class MuleRuntimeException

extends RuntimeException

`MuleRuntimeException` Is the base runtime exception type for the Mule Server any other runtimes exceptions thrown by Mule code will use or be based on this exception. Runtime exceptions in mule are only ever thrown where the method is not declared to throw an exception and the exception is serious.

See Also:
  Serialized Form

Constructor Summary
`MuleRuntimeException(Message message)`
`MuleRuntimeException(Message message, Throwable cause)`
`MuleRuntimeException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MuleRuntimeException

    public MuleRuntimeException(Message message)

Parameters:
  `message` - the exception message

### MuleRuntimeException

    public MuleRuntimeException(Message message,
                                Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that triggered this exception

### MuleRuntimeException

    public MuleRuntimeException(Throwable cause)

Parameters:
  `cause` - the exception that triggered this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.